Bug 499139 - Google Gadgets don't start
Google Gadgets don't start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: google-gadgets (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 07:28 EDT by Benjamín Valero Espinosa
Modified: 2009-08-20 16:53 EDT (History)
20 users (show)

See Also:
Fixed In Version: 0.11.0-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 16:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamín Valero Espinosa 2009-05-05 07:28:50 EDT
Description of problem: When I start Google Gadgest, they don't run.

Version-Release number of selected component (if applicable):
google-gadgets-0.10.5-6

Actual results: A dialog appear with this message:

"Program can't start because it failed to load the following module(s):
js-script-runtime
"
In console, get that message: "Failed to find proper Gecko Runtime Environment!".

Additional info: It seems it happens because of the new version of xulrunner. Here is more info:

http://code.google.com/p/google-gadgets-for-linux/issues/detail?id=286
Comment 1 Bug Zapper 2009-06-09 11:10:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Eric Tanguy 2009-06-10 10:08:54 EDT
I see the same problem in released fedora 11. Any news as the bug is opened since more than one month ?
Comment 3 Sami Juvonen 2009-06-10 21:10:50 EDT
I have the same problem on released Fedora 11 X86_64.

$ ggl-gtk -l 0

Not a regular file: /
Initialize default_framework extension.
Initialize libxml2_xml_parser extension.
Initialize default_options extension.
Initialize dbus_script_class extension.
Initialize gtk_edit_element extension.
Initialize gtkmoz_browser_element extension.
Initialize gtk_flash_element extension.
Initialize gst_video_element extension.
Initialize gtk_system_framework extension.
Initialize gst_audio_framework extension.
Initialize linux_system_framework extension.
Initialize smjs_script_runtime extension.
Failed to find proper Gecko Runtime Environment!
Finalize smjs_script_runtime extension.
Initialize curl_xml_http_request extension.
Initialize analytics_usage_collector extension.
Initialize google_gadget_manager extension.
Finalize google_gadget_manager extension.
Finalize analytics_usage_collector extension.
Finalize curl_xml_http_request extension.
Finalize linux_system_framework extension.
Finalize gst_audio_framework extension.
Finalize gtk_system_framework extension.
Finalize gst_video_element extension.
Finalize gtk_flash_element extension.
Finalize gtkmoz_browser_element extension.
Finalize gtk_edit_element extension.
Finalize dbus_script_class extension.
Finalize default_options extension.
Finalize libxml2_xml_parser extension.
Finalize default_framework extension.
Comment 4 Ed Marshall 2009-06-13 01:04:35 EDT
Still a problem in F11. Looks like the upstream trunk has this fixed:

http://code.google.com/p/google-gadgets-for-linux/issues/detail?id=286#c7
Comment 5 Eric Tanguy 2009-06-14 10:24:00 EDT
It seems also a new major version 0.11 is out!
Comment 6 Ed Marshall 2009-07-01 08:29:23 EDT
Another bug opened upstream for this F11 issue:

http://code.google.com/p/google-gadgets-for-linux/issues/detail?id=312
Comment 7 Orcan Ogetbil 2009-07-01 19:36:52 EDT
I made a scratch test build with the latest version 0.11.0
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1448350

The reported issue seems to be resolved. You can grab and use these rpm's from koji.

Beware though, the gadgets will work only with the ggl-qt or ggl-gtk frontends. They won't work through plasma, as kdebase-workspace needs to be rebuilt against this version of google-gadgets.


Michel, when do you think you can do this update on Fedora?
Comment 8 Ed Marshall 2009-07-01 21:46:48 EDT
Using the 0.11.0 Koji build, I get the below output when trying to start ggl-gtk on an up-to-date F11 x86_64. It looks like this is already fixed upstream, in trunk:

http://code.google.com/p/google-gadgets-for-linux/issues/detail?id=311

ggl-qt presents two of the gadget widgets, but here's what I get with ggl-gtk:

[esm@localhost ~]$ ggl-gtk -l 0
Initialize curl_xml_http_request extension.
Initialize default_framework extension.
Initialize libxml2_xml_parser extension.
Initialize default_options extension.
Initialize dbus_script_class extension.
Initialize gtk_edit_element extension.
Initialize gst_video_element extension.
Initialize gtk_system_framework extension.
Initialize gst_audio_framework extension.
Initialize linux_system_framework extension.
Initialize analytics_usage_collector extension.
Initialize google_gadget_manager extension.
Initialize smjs_script_runtime extension.
Initialize gtkmoz_browser_element extension.
Initialize gtk_flash_element extension.
Register smjs_script_runtime extension.
Register default_framework extension.
Register gtk_edit_element extension.
Register gst_video_element extension.
Register gtk_system_framework extension.
Register gst_audio_framework extension.
Register linux_system_framework extension.
Register gtkmoz_browser_element extension, using name "_browser".
Register gtk_flash_element extension, using name "flash".
Register dbus_script_class extension.
Register default_framework extension.
Register gtk_edit_element extension.
Register gst_video_element extension.
Register gtk_system_framework extension.
Register gst_audio_framework extension.
Register linux_system_framework extension.
Register gtkmoz_browser_element extension, using name "_browser".
Register gtk_flash_element extension, using name "flash".
Register dbus_script_class extension.
main.js:83: Refreshing page.
main.js:104: Loading http://news.google.com/?output=rss

(ggl-gtk:4067): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:4067): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:4067): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:4067): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
The program 'ggl-gtk' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAtom (invalid Atom parameter)'.
  (Details: serial 314 error_code 5 request_code 19 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Finalize gtk_flash_element extension.
Finalize gtkmoz_browser_element extension.
Finalize smjs_script_runtime extension.
Finalize google_gadget_manager extension.
Finalize analytics_usage_collector extension.
Finalize linux_system_framework extension.
Finalize gst_audio_framework extension.
Finalize gtk_system_framework extension.
Finalize gst_video_element extension.
Finalize gtk_edit_element extension.
Finalize dbus_script_class extension.
Finalize default_options extension.
Finalize libxml2_xml_parser extension.
Finalize default_framework extension.
Finalize curl_xml_http_request extension.
Comment 9 Michel Alexandre Salim 2009-07-02 00:20:19 EDT
I'm building a patched 0.11.0 release (the released version has the bug mentioned above). kdebase-workspace is being rebuilt against it for Rawhide.

For F-11, updates to google-gadgets and kdebase-workspace will be pushed to testing as soon as gg is added to the buildroot overrides so I can rebuild kdebase-workspace.
Comment 10 Pavel Lisý 2009-07-02 02:53:23 EDT
I've tried RPMs from koji and I received the same error like comment #8


(ggl-gtk:8094): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:8094): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:8094): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:8094): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
The program 'ggl-gtk' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAtom (invalid Atom parameter)'.
  (Details: serial 317 error_code 5 request_code 19 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 11 Benjamín Valero Espinosa 2009-07-02 10:15:46 EDT
I have just updated Fedora 11 with the normal updates (no test-updates) that have included Firefox 3.5 and the new xulrunner. Now Google Gadgets (GTK) starts well.
Comment 12 Ed Marshall 2009-07-02 11:15:33 EDT
I'm afraid with the Koji build of google-gadgets-gtk and the latest FF and xulrunner upgrades, I'm still getting the same error as above.
Comment 13 Eric Tanguy 2009-07-02 13:06:20 EDT
(In reply to comment #11)
> I have just updated Fedora 11 with the normal updates (no test-updates) that
> have included Firefox 3.5 and the new xulrunner. Now Google Gadgets (GTK)
> starts well.  

I did the same and still have the same error.

google-gadgets-gtk-0.10.6-0.2.20090430svn1449.fc11.i586
google-gadgets-0.10.6-0.2.20090430svn1449.fc11.i586
firefox-3.5-1.fc11.i586
xulrunner-1.9.1-1.fc11.i586


$ ggl-gtk -l 0
Initialize default_framework extension.
Initialize libxml2_xml_parser extension.
Initialize default_options extension.
Initialize dbus_script_class extension.
Initialize gtk_edit_element extension.
Initialize gtkmoz_browser_element extension.
Initialize gtk_flash_element extension.
Initialize gst_video_element extension.
Initialize gtk_system_framework extension.
Initialize gst_audio_framework extension.
Initialize linux_system_framework extension.
Initialize smjs_script_runtime extension.
Initialize curl_xml_http_request extension.
Initialize analytics_usage_collector extension.
Initialize google_gadget_manager extension.
Register smjs_script_runtime extension.
Register default_framework extension.
Register gtk_edit_element extension.
Register gtkmoz_browser_element extension, using name "_browser".
Register gtk_flash_element extension, using name "flash".
Register gst_video_element extension.
Register gtk_system_framework extension.
Register gst_audio_framework extension.
Register linux_system_framework extension.
Register dbus_script_class extension.
Register default_framework extension.
Register gtk_edit_element extension.
Register gtkmoz_browser_element extension, using name "_browser".
Register gtk_flash_element extension, using name "flash".
Register gst_video_element extension.
Register gtk_system_framework extension.
Register gst_audio_framework extension.
Register linux_system_framework extension.
Register dbus_script_class extension.
main.js:83: Refreshing page.
main.js:104: Loading http://news.google.com/?output=rss

(ggl-gtk:3611): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:3611): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:3611): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(ggl-gtk:3611): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
The program 'ggl-gtk' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAtom (invalid Atom parameter)'.
  (Details: serial 397 error_code 5 request_code 19 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Finalize google_gadget_manager extension.
Finalize analytics_usage_collector extension.
Finalize curl_xml_http_request extension.
Finalize smjs_script_runtime extension.
The program 'ggl-gtk' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAtom (invalid Atom parameter)'.
  (Details: serial 398 error_code 5 request_code 19 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 14 Fedora Update System 2009-07-02 13:43:45 EDT
kdebase-workspace-4.2.4-4.fc11,google-gadgets-0.11.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kdebase-workspace-4.2.4-4.fc11,google-gadgets-0.11.0-1.fc11
Comment 15 Ed Marshall 2009-07-02 13:49:54 EDT
That did it for me; ggl-gtk seems to work as expected now. Thanks!
Comment 16 Orcan Ogetbil 2009-07-02 16:02:37 EDT
Michel, thanks for the update.

ggl-qt frontend works fine for me but I still can't get the Photos applet work through plasma. It gives me the output:

   slide_shower.js:355: add new feed http://images.google.com/images?q=nature&imgsz=xxlarge
   fetchs.js:364: fetch http feed url=http://images.google.com/images?q=nature&imgsz=xxlarge
   fetchs.js:365: No permission to access network.
   fetchs.js:365: ReferenceError: Failed to construct native object of class XMLHttpRequest

Where shall we look for a solution?
Comment 17 Fedora Update System 2009-07-11 13:28:19 EDT
kdebase-workspace-4.2.4-4.fc11, google-gadgets-0.11.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace google-gadgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7505
Comment 18 Fedora Update System 2009-07-20 15:57:54 EDT
firefox-3.5.1-1.fc11,xulrunner-1.9.1.1-1.fc11,blam-1.8.5-12.fc11,chmsee-1.0.1-9.fc11,eclipse-3.4.2-13.fc11,epiphany-2.26.3-2.fc11,epiphany-extensions-2.26.1-4.fc11,evolution-rss-0.1.2-11.fc11,galeon-2.0.7-12.fc11,gnome-python2-extras-2.25.3-5.fc11,gnome-web-photo-0.7-4.fc11,google-gadgets-0.11.0-2.fc11,hulahop-0.4.9-6.fc11,java-1.6.0-openjdk-1.6.0.0-25.b16.fc11,kazehakase-0.5.6-11.svn3771_trunk.fc11.3,Miro-2.0.5-2.fc11,mozvoikko-0.9.7-0.5.rc1.fc11,ruby-gnome2-0.19.0-3.fc11.1,perl-Gtk2-MozEmbed-0.08-6.fc11.3,yelp-2.26.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/firefox-3.5.1-1.fc11,xulrunner-1.9.1.1-1.fc11,blam-1.8.5-12.fc11,chmsee-1.0.1-9.fc11,eclipse-3.4.2-13.fc11,epiphany-2.26.3-2.fc11,epiphany-extensions-2.26.1-4.fc11,evolution-rss-0.1.2-11.fc11,galeon-2.0.7-12.fc11,gnome-python2-extras-2.25.3-5.fc11,gnome-web-photo-0.7-4.fc11,google-gadgets-0.11.0-2.fc11,hulahop-0.4.9-6.fc11,java-1.6.0-openjdk-1.6.0.0-25.b16.fc11,kazehakase-0.5.6-11.svn3771_trunk.fc11.3,Miro-2.0.5-2.fc11,mozvoikko-0.9.7-0.5.rc1.fc11,ruby-gnome2-0.19.0-3.fc11.1,perl-Gtk2-MozEmbed-0.08-6.fc11.3,yelp-2.26.0-5.fc11
Comment 19 Fedora Update System 2009-07-22 18:02:52 EDT
firefox-3.5.1-1.fc11, xulrunner-1.9.1.1-1.fc11, blam-1.8.5-12.fc11, chmsee-1.0.1-9.fc11, eclipse-3.4.2-13.fc11, epiphany-2.26.3-2.fc11, epiphany-extensions-2.26.1-4.fc11, evolution-rss-0.1.2-11.fc11, galeon-2.0.7-12.fc11, gnome-python2-extras-2.25.3-5.fc11, gnome-web-photo-0.7-4.fc11, google-gadgets-0.11.0-2.fc11, hulahop-0.4.9-6.fc11, java-1.6.0-openjdk-1.6.0.0-25.b16.fc11, kazehakase-0.5.6-11.svn3771_trunk.fc11.3, Miro-2.0.5-2.fc11, mozvoikko-0.9.7-0.5.rc1.fc11, ruby-gnome2-0.19.0-3.fc11.1, perl-Gtk2-MozEmbed-0.08-6.fc11.3, yelp-2.26.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 leigh scott 2009-07-23 10:32:06 EDT
Well it still doesn't work for me on F11 x86_64


[leigh@localhost ~]$ rpm -q firefox xulrunner google-gadgets-gtk google-gadgets
firefox-3.5.1-1.fc11.x86_64
xulrunner-1.9.1.1-1.fc11.x86_64
google-gadgets-gtk-0.11.0-2.fc11.x86_64
google-gadgets-0.11.0-2.fc11.x86_64
[leigh@localhost ~]$


[leigh@localhost ~]$ ggl-gtk -l 0
Initialize soup_xml_http_request extension.
Initialize default_framework extension.
Initialize libxml2_xml_parser extension.
Initialize default_options extension.
Initialize dbus_script_class extension.
Initialize gtk_edit_element extension.
Initialize gst_video_element extension.
Initialize gtk_system_framework extension.
Initialize gst_audio_framework extension.
Initialize linux_system_framework extension.
Initialize analytics_usage_collector extension.
Initialize google_gadget_manager extension.
Initialize smjs_script_runtime extension.
Failed to find proper Gecko Runtime Environment!
Finalize smjs_script_runtime extension.
Initialize gtkmoz_browser_element extension.
Initialize gtk_flash_element extension.


Program can't start because it failed to load the following module(s):

js-script-runtime
Comment 21 Gabriel Sfestarof 2009-07-23 10:47:09 EDT
Still having the problem with

google-gadgets-0.11.0-1.fc11.x86_64
google-gadgets-gtk-0.11.0-1.fc11.x86_64. Just as Leigh described above.
Comment 22 Gabriel Sfestarof 2009-07-23 12:03:46 EDT
Updated to 

rpm -qa |grep google-gadgets
google-gadgets-gtk-0.11.0-2.fc11.x86_64
google-gadgets-0.11.0-2.fc11.x86_64

Still no change.
Comment 23 Scott 2009-07-23 12:51:02 EDT
Ditto here

$ rpm -qa |grep google-gadgets
google-gadgets-0.11.0-2.fc11.x86_64
google-gadgets-qt-0.11.0-2.fc11.x86_64
google-gadgets-gtk-0.11.0-2.fc11.x86_64


The problem still persists....
Comment 24 Ricardo Funke Ormieres 2009-07-23 16:00:10 EDT
This bug returns with the last yum update

$ rpm -qa | grep google-gadgets
google-gadgets-gtk-0.11.0-2.fc11.x86_64
google-gadgets-0.11.0-2.fc11.x86_64

$ rpm -qa | grep xulrunner
xulrunner-1.9.1.1-1.fc11.x86_64

$ ggl-gtk -l0 -ll
59:42.747: libmozjs_glue.cc:208: Failed to find proper Gecko Runtime Environment!
[fedora10@localhost ~]$ ggl-gtk -l 0 -ll
01:50.394: curl_xml_http_request.cc:1128: Initialize curl_xml_http_request extension.
01:50.395: default_framework.cc:315: Initialize default_framework extension.
01:50.395: libxml2_xml_parser.cc:840: Initialize libxml2_xml_parser extension.
01:50.396: default_options.cc:464: Initialize default_options extension.
01:50.397: dbus_script_class.cc:60: Initialize dbus_script_class extension.
01:50.399: gtk_edit_element.cc:36: Initialize gtk_edit_element extension.
01:50.400: gst_video_element.cc:42: Initialize gst_video_element extension.
01:50.401: gtk_system_framework.cc:338: Initialize gtk_system_framework extension.
01:50.401: gst_audio_framework.cc:468: Initialize gst_audio_framework extension.
01:50.457: linux_system_framework.cc:93: Initialize linux_system_framework extension.
01:50.538: analytics_usage_collector.cc:249: Initialize analytics_usage_collector extension.
01:50.539: google_gadget_manager_init.cc:26: Initialize google_gadget_manager extension.
01:50.540: smjs_script_runtime.cc:33: Initialize smjs_script_runtime extension.
01:50.540: libmozjs_glue.cc:208: Failed to find proper Gecko Runtime Environment!
01:50.540: smjs_script_runtime.cc:43: Finalize smjs_script_runtime extension.
01:50.542: browser_element.cc:63: Initialize gtkmoz_browser_element extension.
01:50.542: gtk_flash_element.cc:61: Initialize gtk_flash_element extension.
01:52.069: gtk_flash_element.cc:66: Finalize gtk_flash_element extension.
01:52.069: browser_element.cc:71: Finalize gtkmoz_browser_element extension.
01:52.069: google_gadget_manager_init.cc:32: Finalize google_gadget_manager extension.
01:52.069: analytics_usage_collector.cc:254: Finalize analytics_usage_collector extension.
01:52.069: linux_system_framework.cc:125: Finalize linux_system_framework extension.
01:52.069: gst_audio_framework.cc:479: Finalize gst_audio_framework extension.
01:52.075: gtk_system_framework.cc:343: Finalize gtk_system_framework extension.
01:52.076: gst_video_element.cc:47: Finalize gst_video_element extension.
01:52.076: gtk_edit_element.cc:41: Finalize gtk_edit_element extension.
01:52.076: dbus_script_class.cc:65: Finalize dbus_script_class extension.
01:52.076: default_options.cc:485: Finalize default_options extension.
01:52.076: libxml2_xml_parser.cc:864: Finalize libxml2_xml_parser extension.
01:52.076: default_framework.cc:320: Finalize default_framework extension.
01:52.076: curl_xml_http_request.cc:1133: Finalize curl_xml_http_request extension.
Comment 25 Andrew Fossey 2009-07-31 00:51:23 EDT
Please update to Urgent.
Comment 26 Kyle VanderBeek 2009-08-05 17:16:53 EDT
This should be reopened.  I'm getting the js-script-runtime error dialog with:

[kylev@kylev-dt Download]$ rpm -qa | grep google-ga
google-gadgets-gtk-0.11.0-3.fc11.x86_64
google-gadgets-0.11.0-3.fc11.x86_64

[kylev@kylev-dt Download]$ ggl-gtk -l 0 -ll
14:19.092: curl_xml_http_request.cc:1128: Initialize curl_xml_http_request extension.
14:19.095: default_framework.cc:315: Initialize default_framework extension.
14:19.095: libxml2_xml_parser.cc:840: Initialize libxml2_xml_parser extension.
14:19.096: default_options.cc:464: Initialize default_options extension.
14:19.099: dbus_script_class.cc:60: Initialize dbus_script_class extension.
14:19.100: gtk_edit_element.cc:36: Initialize gtk_edit_element extension.
14:19.102: gst_video_element.cc:42: Initialize gst_video_element extension.
14:19.104: gtk_system_framework.cc:338: Initialize gtk_system_framework extension.
14:19.105: gst_audio_framework.cc:468: Initialize gst_audio_framework extension.
14:19.144: linux_system_framework.cc:93: Initialize linux_system_framework extension.
14:19.214: analytics_usage_collector.cc:249: Initialize analytics_usage_collector extension.
14:19.216: google_gadget_manager_init.cc:26: Initialize google_gadget_manager extension.
14:19.218: smjs_script_runtime.cc:33: Initialize smjs_script_runtime extension.
14:19.218: libmozjs_glue.cc:208: Failed to find proper Gecko Runtime Environment!
14:19.218: smjs_script_runtime.cc:43: Finalize smjs_script_runtime extension.
14:19.220: browser_element.cc:63: Initialize gtkmoz_browser_element extension.
14:19.221: gtk_flash_element.cc:61: Initialize gtk_flash_element extension.
14:22.698: gtk_flash_element.cc:66: Finalize gtk_flash_element extension.
14:22.698: browser_element.cc:71: Finalize gtkmoz_browser_element extension.
14:22.699: google_gadget_manager_init.cc:32: Finalize google_gadget_manager extension.
14:22.699: analytics_usage_collector.cc:254: Finalize analytics_usage_collector extension.
14:22.699: linux_system_framework.cc:125: Finalize linux_system_framework extension.
14:22.699: gst_audio_framework.cc:479: Finalize gst_audio_framework extension.
14:22.703: gtk_system_framework.cc:343: Finalize gtk_system_framework extension.
14:22.703: gst_video_element.cc:47: Finalize gst_video_element extension.
14:22.703: gtk_edit_element.cc:41: Finalize gtk_edit_element extension.
14:22.703: dbus_script_class.cc:65: Finalize dbus_script_class extension.
14:22.704: default_options.cc:485: Finalize default_options extension.
14:22.704: libxml2_xml_parser.cc:864: Finalize libxml2_xml_parser extension.
14:22.704: default_framework.cc:320: Finalize default_framework extension.
14:22.704: curl_xml_http_request.cc:1133: Finalize curl_xml_http_request extension.
Comment 27 Kyle VanderBeek 2009-08-05 18:35:45 EDT
I have to re-open this as it seems that google-gadgets-0.11.0-3.fc11.x86_64 is exhibiting the same non-starting behaviour.
Comment 28 Gabriel Sfestarof 2009-08-05 18:54:23 EDT
I can confirm it on i586 as well


ggl-gtk -l 0 -ll
51:34.707: curl_xml_http_request.cc:1128: Initialize curl_xml_http_request extension.
51:34.721: default_framework.cc:315: Initialize default_framework extension.
51:34.731: libxml2_xml_parser.cc:840: Initialize libxml2_xml_parser extension.
51:34.757: default_options.cc:464: Initialize default_options extension.
51:34.809: dbus_script_class.cc:60: Initialize dbus_script_class extension.
51:34.819: gtk_edit_element.cc:36: Initialize gtk_edit_element extension.
51:34.898: gst_video_element.cc:42: Initialize gst_video_element extension.
51:34.901: gtk_system_framework.cc:338: Initialize gtk_system_framework extension.
51:34.910: gst_audio_framework.cc:468: Initialize gst_audio_framework extension.
51:35.013: linux_system_framework.cc:93: Initialize linux_system_framework extension.
51:35.164: analytics_usage_collector.cc:249: Initialize analytics_usage_collector extension.
51:35.175: google_gadget_manager_init.cc:26: Initialize google_gadget_manager extension.
51:35.198: smjs_script_runtime.cc:33: Initialize smjs_script_runtime extension.
51:35.218: libmozjs_glue.cc:208: Failed to find proper Gecko Runtime Environment!
51:35.219: smjs_script_runtime.cc:43: Finalize smjs_script_runtime extension.
51:35.223: browser_element.cc:63: Initialize gtkmoz_browser_element extension.
51:35.225: gtk_flash_element.cc:61: Initialize gtk_flash_element extension.
51:38.548: gtk_flash_element.cc:66: Finalize gtk_flash_element extension.
51:38.548: browser_element.cc:71: Finalize gtkmoz_browser_element extension.
51:38.548: google_gadget_manager_init.cc:32: Finalize google_gadget_manager extension.
51:38.548: analytics_usage_collector.cc:254: Finalize analytics_usage_collector extension.
51:38.548: linux_system_framework.cc:125: Finalize linux_system_framework extension.
51:38.549: gst_audio_framework.cc:479: Finalize gst_audio_framework extension.
51:38.553: gtk_system_framework.cc:343: Finalize gtk_system_framework extension.
51:38.553: gst_video_element.cc:47: Finalize gst_video_element extension.
51:38.553: gtk_edit_element.cc:41: Finalize gtk_edit_element extension.
51:38.553: dbus_script_class.cc:65: Finalize dbus_script_class extension.
51:38.554: default_options.cc:485: Finalize default_options extension.
51:38.554: libxml2_xml_parser.cc:864: Finalize libxml2_xml_parser extension.
51:38.554: default_framework.cc:320: Finalize default_framework extension.
51:38.554: curl_xml_http_request.cc:1133: Finalize curl_xml_http_request extension.


rpm -aq|grep google-gadgets; rpm -q firefox
google-gadgets-0.11.0-3.fc11.i586
google-gadgets-gtk-0.11.0-3.fc11.i586
firefox-3.5.2-2.fc11.i586
Comment 29 leigh scott 2009-08-06 17:20:03 EDT
google-gadgets-0.11.0-4.fc11.x86_64 fixes the problem for me.

http://koji.fedoraproject.org/koji/buildinfo?buildID=126085


[root@localhost leigh]# rpm -qa |grep google-gadgets
google-gadgets-0.11.0-4.fc11.x86_64
google-gadgets-qt-0.11.0-4.fc11.x86_64
google-gadgets-gtk-0.11.0-4.fc11.x86_64
[root@localhost leigh]#
Comment 30 Gabriel Sfestarof 2009-08-06 17:27:01 EDT
(In reply to comment #29)
> google-gadgets-0.11.0-4.fc11.x86_64 fixes the problem for me.
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=126085
> 
> 
> [root@localhost leigh]# rpm -qa |grep google-gadgets
> google-gadgets-0.11.0-4.fc11.x86_64
> google-gadgets-qt-0.11.0-4.fc11.x86_64
> google-gadgets-gtk-0.11.0-4.fc11.x86_64
> [root@localhost leigh]#  

rpm -qa|grep google-gadgets
google-gadgets-gtk-0.11.0-4.fc11.i586
google-gadgets-0.11.0-4.fc11.i586

Fixes it on i586 too.
Comment 31 Cepreu 2009-08-07 21:40:09 EDT
google-gadgets-qt-0.11.0-3.fc11.i586
google-gadgets-0.11.0-3.fc11.i586
firefox-3.5.2-2.fc11.i586

Problem still exist.
Comment 32 Gabriel Sfestarof 2009-08-08 02:28:59 EDT
(In reply to comment #31)
> google-gadgets-qt-0.11.0-3.fc11.i586
> google-gadgets-0.11.0-3.fc11.i586
> firefox-3.5.2-2.fc11.i586
> 
> Problem still exist.  

You didn't get the newer google-gadgets packages from the link above
Comment 33 Fedora Update System 2009-08-08 14:42:08 EDT
google-gadgets-0.11.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/google-gadgets-0.11.0-4.fc11
Comment 34 Fedora Update System 2009-08-10 17:53:23 EDT
google-gadgets-0.11.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update google-gadgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8448
Comment 35 Fedora Update System 2009-08-20 16:53:16 EDT
google-gadgets-0.11.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.